PHP Manual
Prev |  | Next

# maxdb_get_client_version

(PECL)

maxdb_get_client_version -- Get MaxDB client info

## Description

int maxdb_get_client_version ( void )

Returns client version number as an integer.

## Return values

A number that represents the MaxDB client library version in format: main_version*10000 + minor_version *100 + sub_version. For example, 7.5.0 is returned as 70500.

This is useful to quickly determine the version of the client library to know if some capability exists.

## See also

maxdb_get_client_info(), maxdb_get_server_info(), maxdb_get_server_version()

## Example

Example 1. maxdb_get_client_version

`<?php /* We don't need a connection to determine the version of MaxDB client library */ printf("Client library version: %d\n", maxdb_get_client_version()); ?>`

The above examples would produce the following output:

    Client library version: 7.<...>

Prev | Home | Next
maxdb_get_client_info | Up | maxdb_get_host_info